void main( void )
{
 int &talker;
 &talker = 0;
}

void hit( void )
{
   say("`5请不要打我了。", &current_sprite);

}

void talk( void )
{
 freeze(1);
 choice_start()
 "问他在守卫什么"
 "如何才能进去"
 "离开"
 choice_end()

  if (&result == 1)
  {
   say_stop("你在守什么呢？", 1);
   wait(250);
   say_stop("`5这是本镇的鸭鸭神坛。", &current_sprite);
   wait(250);
   say_stop("`5我们在这里向鸭子们祈祷。", &current_sprite);
   wait(250);
   say_stop("哦，我还以为那会是个农场之类的地方呢。", 1);
   wait(250);
   say_stop("`5有时候我们会来贡献食物给鸭子们。", &current_sprite);
   wait(250);
   say_stop("你们给鸭子吃你们吃的东西？", 1);
   wait(250);
   say_stop("`5那当然了。", &current_sprite);
   &talker = 1;
  }

  if (&result == 2)
  {
   say_stop("那如何才能进入神坛呢？", 1);
   wait(250);
   say_stop("`5能到里面去祈祷是很大的荣幸，你，你还没这个资格进去呢。", &current_sprite);
   wait(250);
   say_stop("`5就只能在这里了。", &current_sprite);
  }
 unfreeze(1);
}
